Subject: Re: Some dll questions
From: "Robert Collins" <[email-masked]>
To: "Charles Wilson" <[email-masked]>, "Stephano Mariani" <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 28 Oct 2001 12:46:07 +1100

----- Original Message -----
From: "Charles Wilson" <[email-masked]>
> On Sun, 28 Oct 2001, Stephano Mariani wrote:
> > I managed to build functional dlls, but I still have a few
questions...
> >
> > I am familiar with shared libraries on linux, and am wondering
whether most
> > of the techniques still apply... specifically:
> >
...

> > 2) If so, does it behave any differently?
>
> If so, it's a bug.

1 bug is known to date, no good solution has been thought of... The bug
is with linux you can resolve a symbol from a object, or any of its
dependencies, under win32 you cannot. So we need to recreate that
library search logic, or have evry library forward every symbol from
every dependent library - urk.

> > 3) Also, does it work with the -mno-cygwin flag too?
>
> Probably not.  cygwin1.dll provides those wrappers.  If you want a
native
> program, you'll need to use the Windows LoadLibrary() functions
directly.
> (Also note that the DLL's you're loading must all be compiled with
> -mno-cygwin, as well as your program.  Otherwise, you'll have part of
your
> code depending on msvcrt.dll for runtime services, and part of your
code
> depending on cygwin1.dll for runtime services.  Badness will ensue.)

You can also look into libtldlopen - libtool. It has mingw (-mno-cygwin)
support.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/